# Uses of Enum Class
org.bukkit.inventory.recipe.CookingBookCategory

Packages that use CookingBookCategory
Package
Description
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.
org.bukkit.inventory.recipe
New location for recipe-related classes.

## Uses of CookingBookCategory in org.bukkit.inventory

Methods in org.bukkit.inventory that return CookingBookCategory
Modifier and Type
Method
Description
`@NotNull CookingBookCategory`
CookingRecipe.`getCategory()`
Gets the category which this recipe will appear in the recipe book under.
Methods in org.bukkit.inventory with parameters of type CookingBookCategory
Modifier and Type
Method
Description
`void`
CookingRecipe.`setCategory(@NotNull CookingBookCategory category)`
Sets the category which this recipe will appear in the recipe book under.

## Uses of CookingBookCategory in org.bukkit.inventory.recipe

Methods in org.bukkit.inventory.recipe that return CookingBookCategory
Modifier and Type
Method
Description
`static CookingBookCategory`
CookingBookCategory.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CookingBookCategory[]`
CookingBookCategory.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.